/* multitalk.h
 * Fichier header des clients et du serveur Multitalk.
 *
 * Auteur: VOURIOT Thierry
 * Web: http://thierry.vouriot.free.fr, http://www.yeri.fr.st
 * Email: thierry.vouriot@free.fr, yeri@fr.st
 * Date: 7 novembre 2002
 */

#ifndef __MULTITALK_H
#define __MULTITALK_H

/* Inclusions rseaux */
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <arpa/inet.h>

/* Autres inclusions */
#include "base.h"

/* Taille des buffers */
#define PSEUDO_SIZE 30
#define MSG_SIZE 1024
#define CMD_SIZE 256

/* Nombre maximum d'utilisateurs du Multitalk */
#define MAX_CLIENTS 5

/* Diffrents messages du serveur */
#define WELCOME "\nServeur Multitalk (02/11/2002)\nAuteur: Vouriot Thierry\nWeb: http://thierry.vouriot.free.fr/\n\nTapez \"/help\" pour la liste des commandes\n"
#define SHUTDOWN "Arret du serveur Multitalk !!\n"
#define BYE "bye bye !!\n"
#define ERROR_PSEUDO "Pseudo deja utilise !!\n"
#define ERROR_FULL "Plus de place disponible sur le serveur !\n"

/* Commandes */
#define CMD_CONNECT "/connect"
#define CONNECT_PSEUDO "/connect %s"	//permet d'extraire le pseudo aprs la commande CMD_CONNECT
#define CMD_SHUTDOWN "/shutdown"
#define CMD_WHO "/who"
#define CMD_QUIT "/quit"
#define CMD_HELP "/help"
#define CMD_KILL "/kill"
#define KILL_PSEUDO "/kill %s"		//permet d'extraire le pseudo aprs la commande CMD_KILL

#endif
