/* Userslist.h
 * Fichier header permettant l'implantation d'une table
 * (et des fonctions d'accs ou de modification)
 * contenant les utilisateurs du Mutlitalk.
 *
 * Auteur: VOURIOT Thierry
 * Web: http://thierry.vouriot.free.fr
 * Email: thierry.vouriot@free.fr
 * Date: 7 novembre 2002
 */
 
#ifndef __USERSLIST_H
#define __USERSLIST_H

#include "../include/multitalk.h"

/* Structure definissant un utilisateur */
typedef struct SUser {
	char *pseudo;
	int socket;
} SUser;

/* Table d'utilisateurs */
typedef SUser *Users;

/* Fin de la table (End Of Table) */
#define EOT(I) (I.socket == -99)

/* Initialisation de la table */
extern Users init_list(int size);

/* Ajout d'un utilisateur dans la table,
 * la variable full est initialis  "vrai" si
 * la table est pleine et que l'ajout est impossible
 */
extern Users add_list(Users list, char *pseu, int sock, bool *full);

/* Supprime un utilisateur en fonction de son socket */
extern Users del_socket_list(Users list, int s);

/* Supprime un utilisateur en fonction de son pseudo */
extern Users del_pseudo_list(Users list, char *pseu);

/* Test si un socket appartient  la table, si oui la valeur
 * "vrai" est renvoye et la variable pseu est remplie avec le
 * le pseudo correspondant au socket
 */
extern bool socket_in_list(Users list, char *pseu, int sock);

/* Test si un pseudo est prsent dans la table */
extern bool pseudo_in_list(Users list, char *pseu);

/* Affiche la table sur la sortie standard */
extern void aff_list(Users list);

#endif
